#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libshumate-1.3.2

- Next

  tinysparql-3.8.2

- Up
- Home

# evolution-data-server-3.54.3

## Introduction to Evolution Data Server

The Evolution Data Server package provides a unified backend for programs that work with contacts, tasks, and calendar information. It was originally developed for Evolution (hence the name), but is now used by other packages as well.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evolution-data-server/3.54/evolution-data-server-3.54.3.tar.xz

- Download MD5 sum: 1803a1127df96258a6c8b1d8d27edd25

- Download size: 4.9 MB

- Estimated disk space required: 183 MB (with tests)

- Estimated build time: 0.7 SBU (using parallelism=4)

### Evolution Data Server Dependencies

#### Required

libical-3.0.19, libsecret-0.21.6, nss-3.108, and SQLite-3.49.1

#### Recommended

gnome-online-accounts-3.52.3.1, GLib-2.82.5 (with GObject Introspection), GTK-3.24.48, GTK-4.16.12, ICU-76.1, libcanberra-0.30, libgweather-4.4.4, Vala-0.56.17, and WebKitGTK-2.46.6

#### Recommended (Runtime)

blocaled-0.7

#### Optional

GTK-Doc-1.34.0, MIT Kerberos V5-1.21.3, a MTA (that provides a sendmail command), OpenLDAP-2.6.9, Berkeley DB (deprecated), and libphonenumber

## Installation of Evolution Data Server

Install Evolution Data Server by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr    \
          -D SYSCONF_INSTALL_DIR=/etc     \
          -D ENABLE_VALA_BINDINGS=ON      \
          -D ENABLE_INSTALLED_TESTS=ON    \
          -D WITH_OPENLDAP=OFF            \
          -D WITH_KRB5=OFF                \
          -D ENABLE_INTROSPECTION=ON      \
          -D ENABLE_GTK_DOC=OFF           \
          -D WITH_LIBDB=OFF               \
          -D WITH_SYSTEMDUSERUNITDIR=no   \
          -W no-dev -G Ninja ..           &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: ninja test.

## Command Explanations

`-D ENABLE_VALA_BINDINGS=ON`: This switch enables building the Vala bindings. Remove it if you don't have Vala-0.56.17 installed.

`-D ENABLE_GTK_DOC=OFF`: This switch disables building the API documentation. It is broken for this package due to the use of a long deprecated gtk-doc program that is no longer available.

`-D WITH_LIBDB=OFF`: This switch allows building this package without Berkeley DB (deprecated). SQLite-3.49.1 is used for normal operation.

`-D ENABLE_OAUTH2_WEBKITGTK4=OFF`: Use this switch if you did not build WebKitGTK-2.46.6 with GTK-4.

`-D WITH_SYSTEMDUSERUNITDIR=no`: This switch disables installing the systemd units, which are not used for a Sysv build.

### Note

To enable many of the optional dependencies, review the information from cmake -L CMakeLists.txt for the necessary parameters you must pass to the cmake command.

## Contents

Installed Programs: None
Installed Libraries: libcamel-1.2.so, libebackend-1.2.so, libebook-1.2.so, libebook-contacts-1.2.so, libecal-2.0.so, libedata-book-1.2.so, libedata-cal-2.0.so, libedataserver-1.2.so, libedataserverui-1.2.so, libedataserverui4-1.0.so, and libetestserverutils.so
Installed Directories: /usr/include/evolution-data-server, /usr/lib{,exec}/evolution-data-server, /usr/share/evolution-data-server, /usr/share/installed-tests/evolution-data-server, and /usr/share/pixmaps/evolution-data-server

### Short Descriptions

`libcamel-1.2.so` | is the Evolution MIME message handling library
`libebackend-1.2.so` | is the utility library for Evolution Data Server Backends
`libebook-1.2.so` | is the client library for Evolution address books
`libebook-contacts-1.2.so` | is the client library for Evolution contacts
`libecal-1.2.so` | is the client library for Evolution calendars
`libedata-book-1.2.so` | is the backend library for Evolution address books
`libedata-cal-1.2.so` | is the backend library for Evolution calendars
`libedataserver-1.2.so` | is the utility library for Evolution Data Server
`libedataserverui-3.0.so` | is the GUI utility library for Evolution Data Server
`libedataserverui4-1.0.so` | is the GTK-4 based GUI utility library for Evolution Data Server
`libetestserverutils.so` | is the server test utility library for Evolution Data Server

- Prev

  libshumate-1.3.2

- Next

  tinysparql-3.8.2

- Up
- Home